<span style="display:none;">{{head-title 'Helpbuttons - Editar Perfil'}}</span>
{{component-header
  searchAction=(action 'searchByAddress')
  isShowingModal=isShowingModal
  showLinkToHome=true
  buttonNet=buttonNet
}}
<div class="container profile-edition__container">
  <div class="row pt-4">
    <div class="col-12 col-lg-3 profile-edition__main-image">
      {{svg-jar "edit_profile" class="svg-image"}}
    </div>
    <div class="col-12 col-lg-6">
      <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showProfileEdition "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showProfileEdition'}} type="button" name="button">Datos de perfil</button>
        </div>
        {{#if showProfileEdition}}
          <div class="col-12 col-lg-4 mt-4">
            <label class="profile-edition__label" for="">Nombre de usuario</label>
          </div>
          <div class="col-12 col-lg-8 mb-4 my-lg-4">
            {{input value=currentUser.nickname type="string" class="form-control profile-edition__input"}}
          </div>

          <!-- <div class="col-12 col-lg-4">
            <label class="profile-edition__label" for="">Nombre</label>
          </div> -->
          {{!-- Replace by real name --}}
          <!-- <div class="col-12 col-lg-8 mb-4">
            {{input value=currentUser.name type="string" class="form-control profile-edition__input"}}
          </div> -->

          <div class="col-12 col-lg-4">
            <label class="profile-edition__label" for="">Correo electrónico</label>
          </div>
          <div class="col-12 col-lg-8">
            {{input value=currentUser.email type="string" class="form-control profile-edition__input"}}
          </div>
          <div class="offset-lg-4 col-8 mb-4">
            <strong>El correo electrónico no se muestra públicamente</strong>
          </div>

          <div class="col-12 col-lg-4">
            <label class="profile-edition__label" for="">Imagen de perfil</label>
          </div>
          {{#unless hasPendingAvatar}}
            <div class="col-12 col-lg-8 profile-edition__avatar-container profile-edition ">
              {{#unless currentUser.avatar}}
                {{#file-upload
                  name="photos"
                  for="upload-photo"
                  accept="image/gif, image/jpeg, image/png, image/jpg"
                  multiple=false
                  onfileadd=(action "uploadImage")
                }}
                  <a class="profile-edition__label-camera" tabindex=0>{{svg-jar 'camera' class="w-100 h-100"}}</a>
                {{/file-upload}}
              {{else}}
                {{#file-upload
                  name="photos"
                  for="upload-photo"
                  accept="image/gif, image/jpeg, image/png, image/jpg"
                  multiple=false
                  onfileadd=(action "uploadImage")
                }}
                  <img src={{currentUser.avatar.url}} alt="Avatar" class="profile-edition__avatar">
                {{/file-upload}}
              {{/unless}}
            </div>
          {{/unless}}
          {{#if hasPendingAvatar}}
            <div class="col-12 col-lg-8 px-0 profile-edition__avatar-container">
                {{#file-upload
                  name="photos"
                  for="upload-photo"
                  accept="image/gif, image/jpeg, image/png, image/jpg"
                  multiple=false
                  onfileadd=(action "uploadImage")
                 }}
                  <img src={{currentUser.avatarFile.url}} alt="Avatar" class="profile-edition__avatar">
                {{/file-upload}}
            </div>
          {{/if}}
          <div class="offset-lg-4 col-8 mb-4">
          </div>
          <div class="col-12 col-lg-4">
            <label class="profile-edition__label" for="">Descripción</label>
          </div>
          <div class="col-12 col-lg-8 mb-4">
            {{textarea class="form-control profile-edition__input profile-edition__textarea" placeholder="p.ej. Soy estudiante y trabajador autónomo, tengo dos hijos. Soy amante de los animales y del bricolaje. Me gustaría colaborar en el barrio..." value=currentUser.description}}
          </div>

          {{!-- SHARE LOCATION --}}

          <div class="col-12 col-lg-4 mt-4">
            <label class="profile-edition__label" for="">Permitir a Helpbuttons conocer tu ubicación:</label>
          </div>
          <div class="col-12 col-lg-8 mb-4 mt-4">
            <div class="checkbox">
              <label class="checkbox__label mb-0">
                {{input change=(action 'shareLocation' 'isSharingLocation') type="checkbox" checked=isSharingLocation  class="form-control checkbox__checkbox"}}
                <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                  <div class="checkbox__text">
                    Compartir
                  </div>
                </div>
              </label>
            </div>
          </div>
          {{loading-overlay showOverlay=showSpinner1 class=(if showSpinner1 "col-2" "d-none")}}

          <div class="col-12 col-lg-4">
            <label class="profile-edition__label" for="">Idiomas que hablo</label>
          </div>
          <div class="col-12 col-lg-8 mb-4">
            {{!-- oncreate=(action 'createNewLanguage' 'selectedLanguages') --}}
            {{#power-select-multiple
              selected=selectedLanguages
              options=trendingLanguages
              onchange=(action (mut selectedLanguages))
              search=(action 'searchLanguages')
              showCreateWhen=(action "checkLanguageAlreadyExists")
              loadingMessage="Buscando intereses..."
              placeholder="Buscar por ej: #español #ingles"
              triggerClass="select__select profile-edition__input profile-edition__input--dynamic-height ember-power-select-no-icon"
              dropdownClass="select__option"
              buildSuggestion=(action 'languageSuggestion')
              searchMessage=false
              as |tag|
            }}
              <div {{action 'removeTag' 'selectedLanguages' tag}} class="ember-power-select-multiple-remove-btn">
                #{{tag.name}}
              </div>
            {{/power-select-multiple}}
          </div>

          {{!-- <div class="col-12 col-lg-4">
            <label class="profile-edition__label" for="">Idioma de la app</label>
          </div>
          <div class="col-12 col-lg-8 mb-4">
            {{#power-select
              options=languageOptions
              selected=currentUser.appLanguage
              searchEnabled=false
              onchange=(action (mut currentUser.appLanguage))
              triggerClass="profile-edition__input"
              dropdownClass=""
              as |option|
            }}
              {{option}}
            {{/power-select}}
          </div> --}}

          <div class="col-12 col-lg-4">
            {{#if currentUser.active}}
              <label class="profile-edition__label" for="">Desactivar perfil (Activado)</label>
            {{else}}
              <label class="profile-edition__label" for="">Activar perfil (Desactivado)</label>
            {{/if}}
          </div>
          <div class="col-12 col-lg-8">
            <button class="profile-edition__activate-button {{if currentUser.active "profile-edition__activate-button--primary"}}" {{action 'toggleProperty' 'currentUser.active'}} type="button" name="button">
              {{svg-jar 'switch' class="icon"}}
            </button>
          </div>
          <div class="offset-lg-4 col-8 mb-4">
            <strong>Si desactivas tu perfil tus botones dejarán de ser accesibles aunque seguirán existiendo para cuando los necesites.</strong>
          </div>

          <div class="col-12 col-lg-4">
            <label class="profile-edition__label" for="">Borrar perfil</label>
          </div>
          <div class="col-12 col-lg-8">
            <button class="profile-edition__activate-button" {{action 'toggleProperty' 'deleteModal'}} type="button" name="button">
              {{svg-jar 'switch' class="icon"}}
            </button>
          </div>
          <div class="offset-lg-4 col-8 mb-4">
            <strong>Si borras tu perfil tus botones también se borrarán.</strong>
          </div>


          <div class="col-12">
            {{#promise-button
              type="button"
              class="button-sample border-0"
              btnAction=(action 'updateUserProfile')
              hideContentOnLoading=false
              disabled=updateUserDisabled
            }}
              Guardar cambios
            {{/promise-button}}
          </div>
        {{/if}}
      </div>
      {{!-- INTERESTS --}}
      <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showInterest "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showInterest'}} type="button" name="button">Intereses y alertas</button>
        </div>
        {{#if showInterest}}
            {{!-- userTags --}}
            <div class="col-12 mt-4 mb-2">
              <label class="profile-edition__input" for="">Elige las etiquetas que te interesan para que otras personas las conozcan y si quieres recibir avisos :</label>
            </div>
            <div class="col-12 col-lg-4">
              <label class="profile-edition__label" for="">Intereses</label>
            </div>
            <div class="col-12 col-lg-8 mb-2">
              {{#power-select-multiple-with-create
                  selected=selectedInterests
                  oncreate=(action 'createNewTag' 'selectedInterests')
                  search=(action 'searchTags')
                  options=trendingTags
                  onchange=(action 'changeInterests')
                  showCreatePosition="top"
                  showCreateWhen=(action "checkTagAlreadyExists")
                  loadingMessage="Buscando intereses..."
                  placeholder="p.ej. #mascotas #mayores #terceraedad #deporte"
                  triggerClass="select__select profile-edition__input profile-edition__input--dynamic-height buttons-filters__tags-multiple-select ember-power-select-no-icon"
                  dropdownClass="select__option"
                  onkeydown=(action "handleKeyDown")
                  buildSuggestion=(action 'tagSuggestion')
                  searchMessage=false
                  as |userTag|
              }}
                <div {{action 'removeTag' 'selectedInterests' userTag}} class="ember-power-select-multiple-remove-btn">
                  #{{userTag.name}}
                  <div class="button-counter">
                    {{userTag.activeButtonsCounter}} buttons
                  </div>
                </div>
              {{/power-select-multiple-with-create}}
            </div>
            <div class="col-12 col-lg-4 mt-4 mb-2">
              <label class="profile-edition__label" for="">Si quieres que te enviemos avisos con los botones de tu interés activa esta opción :</label>
            </div>
            <div class="col-12 col-lg-8 mb-4 mt-4">
              <div class="checkbox">
                <label class="checkbox__label ">
                  {{input change=(action 'sendTagAlert') type="checkbox" checked=currentUser.deliverInterests  class="form-control checkbox__checkbox"}}
                  <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                    <div class="checkbox__text">
                      Recibir Avisos
                    </div>
                  </div>
                </label>
              </div>
            </div>
            {{#if currentUser.deliverInterests}}
              <div class="col-12 mt-4 mb-4">
                <label class="profile-edition__input" for="">Aquí puedes elegir para qué redes y qué tipo de botones (Necesitan rojo/ Ofrecen verde) quieres recibir los avisos de cada interés:</label>
              </div>
                {{#each selectedInterests as |tag|}}
                  <div class="col-12 col-lg-4">
                  <label class="profile-edition__label" for="">#{{tag.name}}</label>
                  </div>
                  <div class="col-12 col-lg-6 mr-1 mb-4 profile-edition__interest">
                    {{net-picker isProfileEdition=true class="net-picker__userTag" hideCreateNet=hideCreateNet interestsSaved=interestsSaved isUserTags=true userTag=tag}}
                    <div class="checkbox-circle checkbox-circle__userTag">

                      <label class="checkbox-circle__label mb-0">
                        {{!-- {{input type="checkbox" checked=tag.offerType  class="checkbox-circle__checkbox"}} --}}
                        {{!-- <button toggleAttr type="button" name="button"></button> --}}
                        <button {{action 'toggleAttrAction' tag 'offerType' }} class="checkbox-circle__content checkbox-circle__content--small checkbox-circle__content--bordered buttons-filters__checkbox--border-grey justify-content-end profile-edition__checkbox-btn {{if tag.offerType "profile-edition__checkbox-btn--bg"}}">
                          <div class="button-with-icon__icon button-colored-circle"></div>
                        </button>
                      </label>
                    </div>
                    <div class="checkbox-circle checkbox-circle__userTag">
                      <label class="checkbox-circle__label mb-0">
                        {{!-- {{input type="checkbox" checked=tag.needType  class="checkbox-circle__checkbox"}} --}}
                        <button {{action 'toggleAttrAction' tag 'needType' }} class="checkbox-circle__content checkbox-circle__content--small checkbox-circle__content--bordered buttons-filters__checkbox--border-grey profile-edition__checkbox-btn {{if tag.needType "profile-edition__checkbox-btn--bg"}}">
                          <div class="button-with-icon__icon button-colored-circle button-colored-circle--blue"></div>
                        </button>
                      </label>
                    </div>
                  </div>
                {{/each}}

              {{loading-overlay showOverlay=showSpinner class=(if showSpinner "col-2" "d-none")}}
            <div class="col-12 mt-4 mb-4">
              <label class="profile-edition__input" for="">Aquí puedes elegir a qué distancia y tu lugar de referencia para recibir avisos.</label>
            </div>
            <div class="col-12 col-lg-4">
              <label class="profile-edition__label" for="">Distancia máxima de aviso</label>
            </div>
            <div class="mr-1 mb-4 col-12 col-lg-7">
              {{input class='profile-edition__slider' type='range' min=0 max=15 value=sliderValue touchEnd=(action 'sliderUpdate' sliderValue) mouseUp=(action 'sliderUpdate' sliderValue)}}
              <div class=" mb-4">
                <strong>{{currentUser.tagsDistance}} km</strong>
              </div>
            </div>

            <div class="col-12 col-lg-4">
              <label class="profile-edition__label" for="">Lugar de referencia :</label>
            </div>
            <div class="col-12 col-lg-8">
              <button {{action 'showMap'}} type="button" name="button" class="profile-edition__activate-button mb-4">
                {{svg-jar "here" class="svg-icon buttons-filters__list-icon"}}
              </button>
            </div>
          {{/if}}
          {{#if showMap}}
            <div class="col-12 profile-edition__map-container mb-4">
              <div class="button-new-location__map-search-bar">
                <div class="row">
                  {{place-autocomplete-field
                    classNames="input col"
                    inputClass='input__input col'
                    value=inputAddress
                    setValueWithProperty='formatted_address'
                    handlerController=this
                    withGeoLocate=true
                    placeholder=autocompletePlaceholder
                    disabled=isSearching
                    placeChangedCallback=(action 'placeChangedCallback')
                  }}
                </div>
              </div>
              {{#if hasBounds}}
                {{#leaflet-map
                  bounds=mapBounds
                  onLoad=(action 'onMapLoad')
                  minZoom=3
                  zoomControl=true
                  dragging=true
                  class="button-new-location__map profile-edition__map"
                  scrollWheelZoom=true
                  as |layers|
                }}
                  {{tile-layer url="https://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png" attribution='&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'}}
                  {{#layers.marker
                    draggable=true
                    location=draggableMarkerLocation
                    onDragend=(action 'onDragEnd')
                    icon=(div-icon
                      html=(button-icon  'button' 'button.creator.avatar' 'neutro')
                      iconSize=(point 50 60) iconAnchor=(point 25 60)
                    )
                   }}
                  {{/layers.marker}}
                  {{!-- {{#if showSecondMarker}}
                    {{#layers.marker
                      draggable=false
                      location=draggableRedMarkerLocation
                      onDragend=(action 'onDragEndSecondMarker')
                      icon=(div-icon
                        html=(button-icon 'button' 'button.creator.avatar' 'neutro')
                        iconSize=(point 50 60) iconAnchor=(point 25 60)
                      )
                     }}
                    {{/layers.marker}}
                  {{/if}} --}}
                {{/leaflet-map}}
              {{else}}
                <div class="button-new-location__map-loading-location-text">
                  <strong>Localizando su posición...</strong>
                </div>
              {{/if}}
              <div class="button-new-location__map-buttons" style="position:relative;top:345px;">
                <button class="button-sample border-0" {{action 'showMap'}} type="button" name="button">
                  Cancelar
                </button>
                <button class="button-sample border-0 button-new-location__map-left-button" {{action 'acceptLocationTag'}} type="button" name="button">
                  Aceptar {{loading-overlay showOverlay=isLoading class=(if isLoading "col-12 text-center button-new-location__loading-spinner" "d-none")}}
                </button>
              </div>
            </div>
          {{/if}}
          <div class="col-12">
            {{#promise-button
              type="button"
              class="button-sample border-0"
              btnAction=(action 'updateUserProfile')
              hideContentOnLoading=false
              disabled=updateUserDisabled
            }}
              Guardar cambios
            {{/promise-button}}
          </div>
        {{/if}}
      </div>

      {{!-- CONVERSATION OPTIONS --}}
      <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showProfileEdition "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showConversationEdition'}} type="button" name="button">Opciones de respuesta</button>
        </div>
        {{#if showConversationEdition}}
        <div class="col-12 mt-4 ">
          <label class="profile-edition__input" for="">Por defecto, los mensajes serán enviados a tu mail y conservados en Helpbuttons. Aquí puedes añadir otras posibilidades de contacto.</label>
        </div>
        <div class="col-12 col-lg-4 mt-4">
          <label class="profile-edition__label" for="">Teléfono</label>
        </div>
        <div class="col-12 col-lg-8 mb-4 my-lg-4">
          {{input value=currentUser.phone type="string" placeholder="Número con prefijo del país p.ej. 3461101111" class="form-control profile-edition__input"}}
        </div>
        <div class="offset-lg-4 col-8 mb-2">
          <strong>Puedes mostrar tú teléfono si quieres que te contacten directamente</strong>
        </div>
        <div class="col-12 col-lg-4">
        </div>
            <div class="col-12 col-lg-8 mb-4 mt-4">
              <div class="checkbox">
                <label class="checkbox__label mb-0">
                  {{input change=(action 'toggleShowPhone') type="checkbox" checked=currentUser.showPhone  class="form-control checkbox__checkbox"}}
                  <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                    <div class="checkbox__text">
                      Mostrar tlf
                    </div>
                  </div>
                </label>
              </div>
            </div>

        <div class="col-12 col-lg-4">
          <label class="profile-edition__label" for="">Contacto por Whatsapp (Añade un teléfono)</label>
        </div>

            <div class="col-12 col-lg-8 mb-4 mt-4">
              <div class="checkbox">
                <label class="checkbox__label mb-0">
                  {{input change=(action 'toggleUseWhatsapp') type="checkbox" checked=currentUser.useWhatsapp class="form-control checkbox__checkbox"}}
                  <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                    <div class="checkbox__text">
                      Usar Whatsapp
                    </div>
                  </div>
                </label>
              </div>
            </div>

        <div class="col-12 col-lg-4">
          <label class="profile-edition__label" for="">Contacto por Telegram </label>
        </div>

            <div class="col-12 col-lg-8 mb-4 mt-4">
              <div class="checkbox">
                <label class="checkbox__label mb-0">
                  {{input change=(action 'toggleUseTelegram') type="checkbox" checked=currentUser.useTelegram  class="form-control checkbox__checkbox"}}
                  <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                    <div class="checkbox__text">
                      Usar Telegram
                    </div>
                  </div>
                </label>
              </div>

        </div>
          {{#if currentUser.useTelegram}}
          <div class="col-12 col-lg-4 mt-4">
            <label class="profile-edition__label" for="">Requiere usuario de Telegram</label>
          </div>
            <div class="col-12 col-lg-8 mb-4 my-lg-4">
              {{input value=currentUser.userTelegram placeholder="UsuarioTelegram" type="string" class="form-control profile-edition__input"}}
            </div>
          {{/if}}
           <div class="offset-lg-4 col-8 mb-4">
          <!-- <strong>Usar Telegram</strong> -->
        </div>
        <div class="col-12">
          {{#promise-button
            type="button"
            class="button-sample border-0"
            btnAction=(action 'updateUserProfile')
            hideContentOnLoading=false
            disabled=updateUserDisabled
          }}
            Guardar cambios
          {{/promise-button}}
        </div>
        {{/if}}
      </div>

      {{!-- CHANGE PASSWORD --}}
      <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showPasswordEdition "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showPasswordEdition'}} type="button" name="button">Contraseña</button>
        </div>
        {{#if showPasswordEdition}}
          <div class="col-12 col-lg-4 my-4">
            <label class="profile-edition__label" for="">Contraseña actual :</label>
          </div>
          <div class="col-12 col-lg-8 my-4">
            {{input value=currentUser.currentPassword type="password" class="form-control profile-edition__input"}}
          </div>
          <div class="col-12 col-lg-4 mb-4">
            <label class="profile-edition__label" for="">Nueva contraseña :</label>
          </div>
          <div class="col-12 col-lg-8 mb-4">
            {{input value=currentUser.password type="password" class="form-control profile-edition__input"}}
          </div>
          <div class="col-12 col-lg-4 mb-4">
            <label class="profile-edition__label" for="">Confirmar la nueva contraseña :</label>
          </div>
          <div class="col-12 col-lg-8 mb-4">
            {{input value=currentUser.passwordConfirmation type="password" class="form-control profile-edition__input"}}
          </div>
          <div class="col-12">
            <button class="button-sample border-0" {{action 'changePassword'}} type="button" name="button" disabled={{changePasswordDisabled}}>
              Guardar cambios
            </button>
          </div>
        {{/if}}
      </div>

      {{!-- NETS --}}
      <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showUserModeration "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showUserModeration'}} type="button" name="button">Moderación usuarios</button>
        </div>
        {{#if showUserModeration}}
        <!-- FOREACH NET IN CURRENRUSER.BUTTONNETS -->
          <div class="col-12 mt-4">
            <p class="profile-edition__label" for="">Usuarios bloqueados por ti :</p>
          </div>
          <div class="col-12 mb-2 mt-4 {{unless usersNotEmpty "justify-content-center align-items-center"}}">
            {{#each users as |user|}}
              <button class="profile-edition__blocked-user-btn" {{action 'removeBlockedUser' user}} type="button" name="button">
                {{user.email}}
              </button>
            {{else}}
            <p>
              No hay usuarios bloqueados, para bloquear ve al perfil del usuario.
            </p>
            {{/each}}
          </div>
          <div class="col-12">
            {{#promise-button
              type="button"
              class="button-sample border-0"
              btnAction=(action 'updateBlockedUsers')
              hideContentOnLoading=false
              disabled=changedBlocked
            }}
              Guardar cambios
            {{/promise-button}}
          </div>
          {{/if}}
      </div>

      {{!-- NETS --}}
      <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showNetsEdition "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showNetsEdition'}} type="button" name="button">Mis redes</button>
        </div>
        {{#if showNetsEdition}}
        <!-- FOREACH NET IN CURRENRUSER.BUTTONNETS -->
          <div class="col-12 mt-3">
            <label class="profile-edition__label" for="">Pulsa para la configuración específica de tu red:</label>
          </div>
          {{#each userButtonNets as |net|}}
            <div class="col-12" {{action 'selectNet' net}}>
              {{card-net user=currentUser userButtonNets=net}}
            </div>
            {{#if (is-equal selectedNet net)}}
              <div class="col-12 col-lg-4 mt-4">
                <label class="profile-edition__label" for="">Nombre de red</label>
              </div>
              <div class="col-12 col-lg-8 mb-4 my-lg-4">
                {{input input=(action "nameKeyUp" selectedNet.name) value=selectedNet.name type="string" class="form-control profile-edition__input"}}
              </div>
              <div class="col-12 col-lg-4 mt-4">
                <label class="profile-edition__label" for="">Nombre de busqueda (Unico)</label>
              </div>
              <div class="col-12 col-lg-8 mb-4 my-lg-4">
                {{input input=(action "nameKeyUp" selectedNet.urlName) value=selectedNet.urlName type="string" class="form-control profile-edition__input"}}
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Descripción</label>
              </div>
              <div class="col-12 col-lg-8 mb-4">
                {{textarea class="form-control profile-edition__input profile-edition__textarea" placeholder="p.ej. Soy estudiante de física y estoy haciendo un doctorado ahora en Madrid por unos meses. Me gustaría colaborar en el barrio..." value=selectedNet.description}}
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Ubicación de la red (orientativo):</label>
              </div>
              <div class="col-12 col-lg-8 mb-4">
                {{place-autocomplete-field
                  classNames="input mb-3"
                  inputClass='input__input mb-2'
                  value=selectedNet.locationName
                  searchAction=(action 'searchByAddress')
                  setValueWithProperty='selectedNet.locationName'
                  handlerController=this
                  withGeoLocate=true
                  placeholder="¿Dónde se sitúa tu red?"
                  disabled=isSearching
                  placeChangedCallback=(action 'acceptLocation')
                }}
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Icono de red</label>
              </div>
              <div class="col-12 col-lg-8 mb-4 mt-4">
                <div class="checkbox checkbox__netIcon">
                  <label class="checkbox__label mb-0">
                    {{input change=(action 'toggleShowIcons' 'showIconSelector') type="checkbox" checked=showIconSelector  class="form-control checkbox__checkbox"}}
                    <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                      {{#unless selectedNet.imgUrl}}
                      <div class="checkbox__text">
                        Selecionar
                      </div>
                      {{else}}
                      <div class="checkbox__netIcon_icon checkbox__text">
                        {{svg-jar selectedNet.imgUrl class="button-file__big-icon"}}
                      </div>
                      {{/unless}}
                    </div>
                  </label>
                </div>
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Etiquetas de red</label>
              </div>
              <div class="col-12 col-lg-8 mb-4">
                  {{#power-select-multiple-with-create
                      selected=selectedNet.tags
                      oncreate=(action 'createNewNetTag' 'selectedNet.tags')
                      search=(action 'searchTags')
                      options=trendingTags
                      onchange=(action 'changeNetTags')
                      showCreatePosition="top"
                      showCreateWhen=(action "checkTagAlreadyExists")
                      loadingMessage="Buscando intereses..."
                      placeholder="p.ej. #mascotas #mayores #terceraedad #deporte"
                      triggerClass="select__select profile-edition__input profile-edition__input--dynamic-height buttons-filters__tags-multiple-select ember-power-select-no-icon"
                      dropdownClass="select__option"
                      buildSuggestion=(action 'tagSuggestion')
                      searchMessage=false
                      as |tag|
                  }}
                    <div {{action 'removeTag' 'selectedNet.tags' tag}} class="ember-power-select-multiple-remove-btn">
                      #{{tag.name}}
                      <div class="button-counter">
                        {{tag.activeButtonsCounter}} buttons
                      </div>
                    </div>
                  {{/power-select-multiple-with-create}}
              </div>
              {{#if isUserCreator}}
                <div class="col-12 col-lg-4">
                  <label class="profile-edition__label" for="">Url de red :</label>
                </div>
                <div class="col-12 col-lg-8">
                  {{input id='net-url1' value=selectedNet.netUrl type="string" class="form-control profile-edition__input"}}
                </div>
                <div class="offset-lg-4 col-8 mb-4">
                  <strong>Ésta es la url que puedes compartir para que otras personas entren a tu red directamente.</strong>
                </div>
                <div class="offset-lg-4 col-8 mb-4">
                  <strong></strong>
                </div>
                <div class="col-12 col-lg-4">
                  <label class="profile-edition__label" for="">Redes amigas</label>
                </div>
                <div class="col-12 col-lg-8 mb-4 w-100">
                  {{net-picker isFriendNet=true selectedNetObj=selectedNet hideCreateNet=hideCreateNet}}
                </div>
                <div class="col-12 mt-4 ">
                  <label class="profile-edition__input" for="">Las redes amigas se mostraran en el mapa junto con tu red.</label>
                </div>
              {{/if}}
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Usuarios bloqueados</label>
              </div>

              <div class="col-12 mt-4 ">
                <label class="profile-edition__input" for="">Los usuarios bloqueados no podrán crear botones en tu red.</label>
              </div>
              <div class="col-12 mb-2 mt-4 {{unless usersNotEmpty "justify-content-center align-items-center"}}">
                {{#each selectedNetblockedUsers as |user|}}
                  <button class="profile-edition__blocked-user-btn" {{action 'removeSelectedNetBlockedUser' user}} type="button" name="button">
                    {{user.email}}
                  </button>
                {{else}}
                <p class="ml-4">
                  No hay usuarios bloqueados
                </p>
                {{/each}}
              </div>
              {{#if isUserCreator}}
                <div class="col-12 col-lg-4">
                  <label class="profile-edition__label" for="">Usuarios administradores</label>
                </div>

                <div class="col-12 mt-4">
                  <label class="profile-edition__input" for="">Los usuarios administradores podrán expulsar usuarios y botones de tu red.</label>
                </div>
                <div class="col-12 mb-2 mt-4 {{unless usersNotEmpty "justify-content-center align-items-center"}}">
                  {{#each selectedNetAdminUsers as |user|}}
                    <button class="profile-edition__blocked-user-btn" {{action 'removeSelectedNetAdminUser' user}} type="button" name="button">
                      {{user.email}}
                    </button>
                  {{else}}
                    <p class="ml-4">
                      No hay usuarios administradores
                    </p>
                  {{/each}}
                </div>
                <hr>

                <div class="col-12 mt-4 ">
                  <label class="profile-edition__input" for="">Una red privada será visible y accesible sólo para aquellos con quien compartas el enlace. </label>
                </div>
                <div class="col-12 col-lg-4 mt-4 mb-2">
                  <label class="profile-edition__label" for="">Red privada :</label>
                </div>
                <div class="col-12 col-lg-8 mb-4 mt-4">
                  <div class="checkbox">
                    <label class="checkbox__label ">
                      {{input change=(action 'toggleProperty' 'selectedNet.privacy') type="checkbox" checked=selectedNet.privacy  class="form-control checkbox__checkbox"}}
                      <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                        <div class="checkbox__text">
                          Activar
                        </div>
                      </div>
                    </label>
                  </div>
                </div>

                {{#if selectedNet.privacy}}
                    <div class="col-12 col-lg-4 mt-4 mb-2">
                      <label class="profile-edition__label" for="">Usuarios admitidos:</label>
                    </div>
                    <div class="col-12 mb-2 mt-4 {{unless usersNotEmpty "justify-content-center align-items-center"}}">
                      {{#each selectedNetacceptedUsers as |user|}}
                        <button class="profile-edition__blocked-user-btn" {{action 'removeSelectedNetAllowedUser' user}} type="button" name="button">
                          {{user.email}}
                        </button>
                      {{else}}
                      <p class="ml-4">
                        No hay usuarios admitidos
                      </p>
                      {{/each}}
                    </div>
                    <div class="col-12 mt-4 ">
                      <label class="profile-edition__input" for="">Para hacer tu red privada recomendamos contribuir al desarrollo de la plataforma suscribiéndote por 1 euro al mes a nuestro Teaming o Paypal. <strong>Necesitamos 500 suscripciones para mantener la iniciativa con vida. Muchas gracias.</strong></label>
                    </div>
                    <div class="col-12 mt-4 ">
                      <label class="profile-edition__input" for="">Esta opción es la mejor, pues no cobra comisiones. Tu dinero irá íntegro a sostener Helpbuttons.</label>
                    </div>
                    <div class="col-12 mt-4 others__iframe">
                      <iframe class="w-100 h-100" src="https://www.teaming.net/group/spread/widgets/WfVqddYzVcZYU08KlkSp4LzQTpl4i5kV3jjodrJvQ9O5K/2?lang=es_ES&TM=true"  scrolling="no" style="overflow: hidden; border:none;"></iframe>
                    </div>
                    <div class="others__iframe">
                      <div id="paypal-button-container"></div>
                    </div>
                    <!-- <a href="https://www.patreon.com/bePatron?u=33100514" data-patreon-widget-type="become-patron-button">Become a Patron!</a><script async src="https://c6.patreon.com/becomePatronButton.bundle.js"></script> -->
                    <!-- usuarios admitidos -->



                    <!-- url externa -->
                    <div class="col-12 mt-4">
                      <label class="profile-edition__input" for="">Si has instalado Helpbuttons en otro servidor, pon aquí su URL y contribuye a conectar las redes de todo el mundo. <strong>Si rellenas este campo los usuarios serán redirigidos a esta URL.</strong></label>
                    </div>
                    <div class="col-12 col-lg-4 mt-4 mb-2">
                      <label for="external-url" class="profile-edition__label">
                        URL externa :
                      </label>
                    </div>
                    {{input id='net-url' value=selectedNet.netUrl class='input__input col-12 col-lg-8 mb-4 mt-4' required=true placeholder="Escribe aquí tu URL"}}


                {{/if}}
              {{/if}}

              <div class="col-12 mb-2">
                {{#promise-button
                  type="button"
                  class="button-sample border-0"
                  btnAction=(action 'updateButtonNet' selectedNet)
                  hideContentOnLoading=false
                  disabled=updateNetDisabled
                }}
                  Guardar red
                {{/promise-button}}
              </div>
            {{/if}}
          {{/each}}

          <!-- FOREACH NET IN CURRENRUSER ADMITTED BUTTONNETS  -->
            <!-- <div class="col-12 mt-3">
              <label class="profile-edition__label" for="">Redes privadas en las que participas :</label>
            </div>
            {{#each userButtonNets as |net|}}
              <div class="col-12" {{action 'selectNet' net}}>
                {{card-net user=currentUser userButtonNets=net}}
              </div>
            {{/each}} -->

        {{/if}}
      </div>

      {{!-- NETS MODERATION FOR SUPERADMIN --}}
      {{#if currentUser.superAdmin}}
      <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showNetsEdition "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showNetsModeration'}} type="button" name="button">MODERACIÓN GLOBAL Y REDES</button>
        </div>
        {{#if showNetsModeration}}
        <!-- FOREACH NET IN NET.ACTIVE == FALSE -->
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Usuarios baneados de la red de Helpbuttons general</label>
              </div>
              <div class="col-12 col-lg-8 mb-2">
                {{#power-select-multiple
                  selected=bannedUsers
                  onchange=(action (mut bannedUsers))
                  search=(action 'searchUsers')
                  options=users
                  placeholder="Escribe un nombre o email de usuario para añadir"
                  triggerClass="select__select profile-edition__input profile-edition__input--dynamic-height ember-power-select-no-icon"
                  dropdownClass="select__option"
                  searchMessage=false
                  as |user|
                }}
                  <div {{action 'removeUser' 'bannedUsers' user}} class="ember-power-select-multiple-remove-btn">
                  </div>
                {{/power-select-multiple}}
            </div>
            <div class="col-12 mt-1 mb-4">
              Escribe nombres o emails de usuarios que quieras banear.
            </div>
            <div class="col-12 col-lg-4 mt-3">
              <label class="profile-edition__label" for="">Pulsa para la configuración específica de tu red :</label>
            </div>
            <div class="col-12 col-lg-8 mb-4">
            </div>
             {{#each inactiveButtonNets as |net|}}
              <div class="col-12" {{action 'toggleProperty' 'showNetExample'}}>
                {{card-net userButtonNets=net user=currentUser}}
              </div>
              <div class="col-12 col-lg-4 mt-4">
                <label class="profile-edition__label" for="">Nombre de red</label>
              </div>
              <div class="col-12 col-lg-8 mb-4 my-lg-4">
                {{input value=net.nickname type="string" class="form-control profile-edition__input"}}
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Descripción</label>
              </div>
              <div class="col-12 col-lg-8 mb-4">
                {{textarea class="form-control profile-edition__input profile-edition__textarea" placeholder="p.ej. Soy estudiante de física y estoy haciendo un doctorado ahora en Madrid por unos meses. Me gustaría colaborar en el barrio..." value=currentUser.description}}
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Ubicación de red:</label>
              </div>
              <div class="col-12 col-lg-8">
                <button {{action 'showMap'}} type="button" name="button" class="profile-edition__activate-button mb-4">
                  {{svg-jar "here" class="svg-icon buttons-filters__list-icon"}}
                </button>
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Icono de red</label>
              </div>
              <div class="col-12 col-lg-4">
                <label class="profile-edition__label" for="">Etiquetas de red</label>
              </div>
              <div class="col-12 col-lg-8 mb-2">
                {{#each net.tags as |tag|}}
                    #{{tag.name}}
                {{/each}}
              </div>
              <div class="col px-0">
                <button type="button" {{action 'acceptNet' waitingNet=net}} class="button-sample border-0">ACEPTAR</button>
              </div>
              {{/each}}
        {{/if}}
      </div>
      {{/if}}

      {{!-- DELETE ACCOUNT --}}
      {{#if deleteModal}}
        {{#modal-dialog
          onClose=(action 'toggleProperty' 'deleteModal')
          targetAttachment="center"
          translucentOverlay=true
          animatable=true
          overlayClass="buttons-filters buttons-filters__modal"
          containerClass="profile-edition__modal-delete"
        }}
          <strong>¿Estás seguro?</strong>
          <div class="row mt-auto">
            <div class="col px-0">
              <button type="button" {{action 'toggleProperty' 'deleteModal'}} class="button-sample border-0">CANCELAR</button>
            </div>
            <div class="col px-0">
              <button type="button" {{action 'deleteProfile'}} class="button-sample border-0">BORRAR</button>
            </div>
          </div>
        {{/modal-dialog}}
      {{/if}}
      {{!-- Security & Privacity settings --}}
      <!-- <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showSecurityAndPrivacity "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showSecurityAndPrivacity'}} type="button" name="button">Seguridad y privacidad</button>
        </div>
        {{#if showSecurityAndPrivacity}}
          <div class="col-12 mt-2">
            <label class="profile-edition__label" for="">Funcionalidad en desarrollo</label>
          </div>
        {{/if}}
      </div> -->
      {{!-- Notifications settings --}}
      <!-- <div class="row mb-3">
        <div class="col-12">
          <button class="profile-edition__button-toggle {{if showNotificationsSettings "profile-edition__button-toggle--grey-bordered"}}" {{action 'toggleProperty' 'showNotificationsSettings'}} type="button" name="button">Notificaciones</button>
        </div>
        {{#if showNotificationsSettings}}
          <div class="col-12 mt-2">
            <label class="profile-edition__label" for="">Funcionalidad en desarrollo</label>
          </div>
        {{/if}}
      </div> -->
    </div>
  </div>

</div>

{{#if showIconSelector}}
  {{#modal-dialog
    onClose=(action 'toggleShowIcons')
    targetAttachment="center"
    translucentOverlay=true
    animatable=true
    containerClass="button-new-date__pickers-modal-content"
    overlayClass="button-new-date__pickers-modal"
  }}
    <div class="row px-4">
      <div class="col-12 px-3 mt-3">
        <header class="ember-modal-dialog__header ember-modal-dialog__header--bigger">
          <h3 class="ember-modal-dialog__title ember-modal-dialog__title--reservation-picker">
            Selecciona icono para tu red
            <br>
            <small class="mt-3 mb-2">Haga clic para elegir</small>
          </h3>
        </header>
      </div>
      <div class="col-sm my-3 create-net-component__icons_list">
      {{#each icons as |icon|}}
        <button {{action 'addIconToNet' icon}} {{action 'toggleShowIcons'}} class="selected icon" type="button" name="button">
          <div class="">
            <div class="radio-button__text">
              {{svg-jar icon class="icon others__categories"}}<br>
              {{icon.to_s}}
            </div>
          </div>
        </button>
      {{/each}}
      </div>
    </div>
    <!-- <div class="row">
      <div class="col-12">
        <button class="button-sample border-0" {{action 'toggleShowIcons'}} type="button" name="button">
          Aceptar
        </button>
      </div>
    </div> -->
  {{/modal-dialog}}
{{/if}}
